[求助]使用apt-cache、apt-get等命令出现段错误

为当前最终发行版之前的所有版本提供支持
回复
secondnoon
帖子: 3
注册时间: 2006-07-18 15:15
送出感谢: 0
接收感谢: 0

[求助]使用apt-cache、apt-get等命令出现段错误

#1

帖子 secondnoon » 2006-07-18 15:43

问题出现过程:
1、在一次 apt-get dist-upgrade 的过程中不慎碰掉了主机电源,主机重启;
2、重启后试图再次执行apt-get dist-upgrade,系统提示使用 dpkg --configure -a
3、执行dpkg --configure -a,成功;
4、再次执行apt-get dist-upgrade,系统提示段错误;
5、尝试其他apt命令,皆提示段错误

执行任何apt命令都提示段错误,现象如下:

代码: 全选

admin@ubuntu:~$ sudo apt-get dist-upgrade
段错误取软件包列表... 0%
admin@ubuntu:~$ sudo apt-cache search xx
段错误
admin@ubuntu:~$ sudo apt-get remove xx
段错误取软件包列表... 0%
admin@ubuntu:~$ sudo apt-get install xx
段错误取软件包列表... 0%
google了一下相关信息,只发现一条值得参考
http://www.linuxsir.org/bbs/archive/ind ... 77405.html

想起第一次apt-get dist-upgrade 时确实有提示升级*libc*的字样,因此根据链接里的建议使用dpkg -i apt* libc*重装了apt和libc,但问题依旧……

有没有人遇到过类似问题?该如何解决:?:
secondnoon
帖子: 3
注册时间: 2006-07-18 15:15
送出感谢: 0
接收感谢: 0

[问题]

#2

帖子 secondnoon » 2006-07-24 10:48

没有人知道吗?
Zandyo
帖子: 49
注册时间: 2006-07-19 16:58
送出感谢: 0
接收感谢: 0

#3

帖子 Zandyo » 2006-07-25 20:49

不懂,帮你顶顶
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2006-07-25 21:08

似乎严重了。
先检查磁盘。fsck
在sudo dpkg-reconfigure all
● 鸣学
secondnoon
帖子: 3
注册时间: 2006-07-18 15:15
送出感谢: 0
接收感谢: 0

#5

帖子 secondnoon » 2006-07-26 12:35

已解决,删除/var/cache/apt/*,再重装apt即可

On Fri, Apr 23, 2004 at 08:43:03PM -0400, BTC wrote:
> Fixed it...
>
> rm -rf /var/cache/apt/*
>
> then uninstalled apt and reinstalled it. Nothing else would work.
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2006-07-26 15:03

:em69
这么奇特? 应该是把这2个删除了,清掉了记录表? pkgcache.bin srcpkgcache.bin
● 鸣学
头像
drivel
帖子: 1917
注册时间: 2006-07-08 9:21
来自: University of Science and Technology Beijing
送出感谢: 1 次
接收感谢: 0
联系:

#7

帖子 drivel » 2006-07-26 18:27

eexpress 写了::em69
这么奇特? 应该是把这2个删除了,清掉了记录表? pkgcache.bin srcpkgcache.bin
:em05
回复

回到 “老旧版本支持”